TechDraw Quadrants: Difference between revisions

From FreeCAD Documentation
(deletion info)
No edit summary
 
(23 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:16-->
<!--T:16-->
{{Docnav
{{Docnav
|[[TechDraw_Midpoints|Add Midpoint Vertices]]
|[[TechDraw_Midpoints|Midpoints]]
|[[TechDraw_FaceCenterLine|Add Centerline to Face(s)]]
|[[TechDraw_FaceCenterLine|FaceCenterLine]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Workbench|TechDraw]]
|IconL=TechDraw_Midpoints.svg
|IconL=TechDraw_Midpoints.svg
|IconC=Workbench_TechDraw.svg
|IconR=TechDraw_FaceCenterLine.svg
|IconR=TechDraw_FaceCenterLine.svg
|IconC=Workbench_TechDraw.svg
}}
}}


Line 15: Line 16:
|Name=TechDraw Quadrants
|Name=TechDraw Quadrants
|MenuLocation=TechDraw → Add Vertices → Add Quadrant Vertices
|MenuLocation=TechDraw → Add Vertices → Add Quadrant Vertices
|Workbenches=[[TechDraw Module|TechDraw]]
|Workbenches=[[TechDraw_Workbench|TechDraw]]
|SeeAlso=[[TechDraw_CosmeticVertex|Add Cosmetic Vertex]], [[TechDraw_Midpoints|Add Midpoint Vertices]]
|Version=0.19
|Version=0.19
|SeeAlso=[[TechDraw_CosmeticVertex|TechDraw CosmeticVertex]], [[TechDraw_Midpoints|TechDraw Midpoint]]
}}
}}


Line 23: Line 24:


<!--T:8-->
<!--T:8-->
The Quadrant tool adds [[TechDraw_CosmeticVertex|Cosmetic Vertices]] at the 90/180/270° points of a circular edge. The 0° vertex should already be there as a geometric vertex.
The '''TechDraw Quadrant''' tool adds three [[TechDraw_CosmeticVertex|cosmetic vertices]] along the length of one or more selected edges. The vertices are placed at 25%, 50% and 75% of the length of the edges. For a circular edge this results in cosmetic vertices at 90°, 180° and 270°, in addition to its geometric vertex at 0°.


</translate>
</translate>
Line 34: Line 35:


<!--T:10-->
<!--T:10-->
# Select one or more (circular) Edges in a View.
# Select one or more edges in a view. Any edge can be selected, not just circles.
# There are several ways to invoke the tool:
# Press the {{Button|[[Image:TechDraw_Quadrants.svg|16px]] Add Quadrant Vertices}} button.
#* Press the {{Button|[[Image:TechDraw_Quadrants.svg|16px]] [[TechDraw_Quadrants|Add Quadrant Vertices]]}} button.
# Cosmetic vertices will be added at the quarter-points of the edges.
#* Select the {{MenuCommand|TechDraw → Add Vertices → [[Image:TechDraw_Quadrants.svg|16px]] Add Quadrant Vertices}} option from the menu.


<!--T:18-->
==Notes== <!--T:22-->
'''Note:''' This tool can be used on any edge, not just circles.


<!--T:23-->
To delete a Quadrant Vertex, select it and use the toolbar button {{Button|[[Image:TechDraw_CosmeticEraser.svg|16px]] [[TechDraw_CosmeticEraser|Remove Cosmetic Object]]}}.
* The created cosmetic vertices are not parametrically linked to the selected edges.
* To delete a cosmetic vertex select it and press {{KEY|Delete}}. {{Version|0.22}}


==Properties== <!--T:19-->
==Properties== <!--T:19-->


<!--T:20-->
<!--T:20-->
Cosmetic Vertices have no properties of their own, as they are not Document Objects. They share color and size settings with regular geometry vertices.
Cosmetic vertices have no properties of their own, as they are not document objects. They share color and size settings with regular geometry vertices.


==Scripting== <!--T:6-->
==Scripting== <!--T:6-->


<!--T:12-->
<!--T:12-->
{{Emphasis|See also:}} [[TechDraw API|TechDraw API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:13-->
<!--T:13-->
Cosmetic Vertices are not accessible from [[macros|macros]] or the [[Python|Python]] console at this time. This snippet will remove all Cosmetic Vertices from the View.
Cosmetic vertices are not accessible from [[Macros|macros]] or the [[Python|Python]] console at this time. This snippet will remove all cosmetic vertices from the view.


</translate>
</translate>
{{Code|code=
{{Code|code=
>>> v = App.ActiveDocument.View
v = App.ActiveDocument.View
>>> v.clearCV()
v.clearCV()
>>> App.activeDocument().recompute()
App.ActiveDocument.recompute()
}}
}}

<translate>
<translate>



<!--T:17-->
<!--T:17-->
{{Docnav
{{Docnav
|[[TechDraw_Midpoints|Add Midpoint Vertices]]
|[[TechDraw_Midpoints|Midpoints]]
|[[TechDraw_FaceCenterLine|Add Centerline to Face(s)]]
|[[TechDraw_FaceCenterLine|FaceCenterLine]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Workbench|TechDraw]]
|IconL=TechDraw_Midpoints.svg
|IconL=TechDraw_Midpoints.svg
|IconC=Workbench_TechDraw.svg
|IconR=TechDraw_FaceCenterLine.svg
|IconR=TechDraw_FaceCenterLine.svg
|IconC=Workbench_TechDraw.svg
}}
}}



Latest revision as of 09:01, 3 April 2024

TechDraw Quadrants

Menu location
TechDraw → Add Vertices → Add Quadrant Vertices
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
TechDraw CosmeticVertex, TechDraw Midpoint

Description

The TechDraw Quadrant tool adds three cosmetic vertices along the length of one or more selected edges. The vertices are placed at 25%, 50% and 75% of the length of the edges. For a circular edge this results in cosmetic vertices at 90°, 180° and 270°, in addition to its geometric vertex at 0°.

Cosmetic vertices at quadrant points of a circle

Usage

  1. Select one or more edges in a view. Any edge can be selected, not just circles.
  2. There are several ways to invoke the tool:
    • Press the Add Quadrant Vertices button.
    • Select the TechDraw → Add Vertices → Add Quadrant Vertices option from the menu.

Notes

  • The created cosmetic vertices are not parametrically linked to the selected edges.
  • To delete a cosmetic vertex select it and press Delete. introduced in version 0.22

Properties

Cosmetic vertices have no properties of their own, as they are not document objects. They share color and size settings with regular geometry vertices.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

Cosmetic vertices are not accessible from macros or the Python console at this time. This snippet will remove all cosmetic vertices from the view.

v = App.ActiveDocument.View
v.clearCV()
App.ActiveDocument.recompute()